﻿namespace U2UConsult.Win8.SemanticZoomWithLinq.Models
{
    using System.Linq;
    using DataAccess;

    public class Item : ModelBase
    {
        private Category category;

        public string CategoryName { get; set; }

        public Category Category
        {
            get
            {
                if (this.category == null)
                {
                    this.category = (from c in DAL.Categories
                                     where c.Name == this.CategoryName
                                     select c).FirstOrDefault();
                }

                return this.category;
            }
        }
    }
}