﻿namespace U2UConsult.Win8.SemanticZoomWithLinq.DataAccess
{
    using System.Collections.Generic;
    using U2UConsult.Win8.SemanticZoomWithLinq.Models;

    public partial class DAL
    {
        private static List<Category> categories;

        public static List<Category> Categories
        {
            get
            {
                if (categories == null)
                {
                    var result = new List<Category>();

                    result.Add(new Category() { Name = "boys", ImagePath = "boys.jpg" });
                    result.Add(new Category() { Name = "girls", ImagePath = "girls.jpg" });
                    result.Add(new Category() { Name = "animals", ImagePath = "animals.jpg" });

                    categories = result;
                }

                return categories;
            }
        }
    }
}
